### A free/open-source library for quantitative finance

Classes | Public Member Functions
PathMultiAssetOption Class Reference

Base class for path-dependent options on multiple assets. More...

`#include <ql/experimental/mcbasket/pathmultiassetoption.hpp>`

Inheritance diagram for PathMultiAssetOption:
[legend]

List of all members.

## Classes

class | arguments
| Arguments for multi-asset option calculation More...
class | results
| Results from multi-asset option calculation More...

## Public Member Functions

| PathMultiAssetOption (const boost::shared_ptr< PricingEngine > &engine=boost::shared_ptr< PricingEngine >())

## Instrument interface

bool | isExpired () const
| returns whether the instrument might have value greater than zero.
void | setupArguments (PricingEngine::arguments *) const
virtual boost::shared_ptr < PathPayoff > | pathPayoff () const =0
virtual std::vector< Date > | fixingDates () const =0
void | setupExpired () const

## Detailed Description

Base class for path-dependent options on multiple assets.

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Instrument.

void setupExpired | ( |  | ) | const`[protected, virtual]`

This method must leave the instrument in a consistent state when the expiration condition is met.

Reimplemented from Instrument.